#include <iostream>
#include <string>
#include <socklibpp/sockstream.h>

using namespace std;
using namespace socklibpp;

int main()
{
        string hostn, doc = "/";
        cout << "Enter the host address: " << flush;
        if (!(cin >> hostn))
                return -1;
        
        cout << "Enter the document location (e.g. '/', 'index.html'): ";
        cin >> doc;
        
        sockstream web;
        if (!web.connect(hostn.c_str(), 80)) {
                cerr << "Host not found" << endl;
                return -1;
        }
        
        web << "GET " << doc << " HTTP/1.0" << crlf;
        web << crlf;
        
        // Now read the response
        string response;
        while (getline(web, response))
                cout << response << endl;

}
