#ifndef SOCKCOMMON_PRIVATE_H
#define SOCKCOMMON_PRIVATE_H

// This is a private header, as the name suggests.

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif


#ifdef WIN32

#include <winsock2.h>
#define GET_LAST_ERROR        WSAGetLastError()
typedef int     socklen_t;
#else



// *nix

#include <sys/select.h>


#define GET_LAST_ERROR        errno
#define closesocket(x)          close(x)
#define ioctlsocket(x, y, z)    ioctl(x, y, z)


#endif



#endif
